%define pname     streamdev
#define prever    20090706
%define plugindir %(vdr-config --plugindir  2>/dev/null || echo ERROR)
%define apiver    %(vdr-config --apiversion 2>/dev/null || echo ERROR)
%define configdir %(vdr-config --configdir  2>/dev/null || echo ERROR)

Name:           vdr-%{pname}
Version:        0.6.0
Release:        1%{?dist}
Summary:        Streaming plug-in for VDR

Group:          Applications/Multimedia
License:        GPL+ and GPLv2+
URL:            http://projects.vdr-developer.org/projects/plg-streamdev
Source0:        http://projects.vdr-developer.org/attachments/download/969/vdr-streamdev-%{version}.tgz
# Configuration files for plugin parameters. These are Fedora specific and not in upstream.
Source1:        %{name}-server.conf
Source2:        %{name}-client.conf
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  vdr-devel >= 1.5.9
BuildRequires:  gettext

%description
The streamdev plug-in adds streaming capabilities to your VDR.

%package server
Summary:        Streaming server plug-in for VDR
Group:          Applications/Multimedia
Requires:       vdr(abi) = %{apiver}

%description server
Lets your VDR act as a streaming server for other clients.
This will let you watch TV or Recordings across the network.

%package client
Summary:        Streaming client plug-in for VDR
Group:          Applications/Multimedia
Requires:       vdr(abi) = %{apiver}

%description client
Lets your VDR in conjunction with a streamdev-server act as a streaming client.
VDR will then be able to work even without a DVB device.

%prep
%setup -q -n %{pname}-%{version}%{?prever:-pre-%{prever}}

sed -i 's@$(VDRDIR)/device.h@%{_includedir}/vdr/device.h@' Makefile

for f in CONTRIBUTORS HISTORY; do
  iconv -f iso8859-1 -t utf-8 $f >$f.conv
  touch -r $f $f.conv
  mv $f.conv $f
done

%build
make %{?_smp_mflags} LIBDIR=. VDRDIR=%{_libdir}/vdr LOCALEDIR=$PWD/locale all

%install
rm -rf $RPM_BUILD_ROOT
install -dm 755 $RPM_BUILD_ROOT%{plugindir}
install -dm 755 $RPM_BUILD_ROOT%{configdir}/plugins/streamdev-server
install -pm 755 server/libvdr-%{pname}-server.so.%{apiver} $RPM_BUILD_ROOT%{plugindir}
install -pm 755 client/libvdr-%{pname}-client.so.%{apiver} $RPM_BUILD_ROOT%{plugindir}
install -Dpm 644 streamdev-server/streamdevhosts.conf $RPM_BUILD_ROOT%{configdir}/plugins/streamdev-server/streamdevhosts.conf
install -Dpm 755 streamdev-server/externremux.sh $RPM_BUILD_ROOT%{_libdir}/vdr/bin/externremux.sh 
install -Dpm 644 %{SOURCE1} \
  $RPM_BUILD_ROOT%{_sysconfdir}/sysconfig/vdr-plugins.d/%{pname}-server.conf
install -Dpm 644 %{SOURCE2} \
  $RPM_BUILD_ROOT%{_sysconfdir}/sysconfig/vdr-plugins.d/%{pname}-client.conf
install -dm 755 $RPM_BUILD_ROOT%{_datadir}/locale
cp -pR locale/* $RPM_BUILD_ROOT%{_datadir}/locale
%find_lang %{name}-server
%find_lang %{name}-client

%clean
rm -rf $RPM_BUILD_ROOT

%files server -f %{name}-server.lang
%defattr(-,root,root,-)
%{plugindir}/libvdr-%{pname}-server.so.%{apiver}
%{_libdir}/vdr/bin/externremux.sh
%config(noreplace) %{_sysconfdir}/sysconfig/vdr-plugins.d/%{pname}-server.conf
%dir %{configdir}/plugins/streamdev-server
%config(noreplace) %{configdir}/plugins/streamdev-server/streamdevhosts.conf
%doc CONTRIBUTORS COPYING HISTORY PROTOCOL README

%files client -f %{name}-client.lang
%defattr(-,root,root,-)
%{plugindir}/libvdr-%{pname}-client.so.%{apiver}
%config(noreplace) %{_sysconfdir}/sysconfig/vdr-plugins.d/%{pname}-client.conf
%doc CONTRIBUTORS COPYING HISTORY PROTOCOL README

%changelog
* Wed Jul 04 2012 Felix Kaechele <heffer@fedoraproject.org> - 0.6.0-1
- update to 0.6.0
- drop all patches as upstream includes them already

* Tue Mar 27 2012 Ville Skyttä <ville.skytta@iki.fi> - 0.5.1-12
- Rebuild.

* Sun Mar 11 2012 Ville Skyttä <ville.skytta@iki.fi> - 0.5.1-11
- Apply upstream VDR 1.7.26+ patches.

* Tue Mar  6 2012 Ville Skyttä <ville.skytta@iki.fi> - 0.5.1-10
- Apply upstream VDR 1.7.25+ patches.

* Mon Feb 20 2012 Ville Skyttä <ville.skytta@iki.fi> - 0.5.1-9
- Rebuild.

* Sun Jan 15 2012 Ville Skyttä <ville.skytta@iki.fi> - 0.5.1-8
- Rebuild.

* Sat Jan 14 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.5.1-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Mon Dec  5 2011 Ville Skyttä <ville.skytta@iki.fi> - 0.5.1-6
- Rebuild.

* Sun Nov  6 2011 Ville Skyttä <ville.skytta@iki.fi> - 0.5.1-5
- Fix build with Liemikuutio patch 1.32.

* Sun Nov  6 2011 Ville Skyttä <ville.skytta@iki.fi> - 0.5.1-4
- Install locale files (#750084).

* Sun Oct 23 2011 Felix Kaechele <heffer@fedoraproject.org> - 0.5.1-3
- own the configuration dir
- add patch to fix the GPL in COPYING and the FSF address in some source files

* Sat Oct 08 2011 Felix Kaechele <heffer@fedoraproject.org> - 0.5.1-2
- move streamdevhosts.conf to the right directory

* Sat Feb 12 2011 Felix Kaechele <heffer@fedoraproject.org> - 0.5.1-1
- update to latest upstream release
- see HISTORY for full changelog

* Mon Feb 07 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.5.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Sun Jul 25 2010 Felix Kaechele <heffer@fedoraproject.org> - 0.5.0-1
- update to final 0.5.0 release

* Sat Jan 02 2010 Felix Kaechele <heffer@fedoraproject.org> - 0.5.0-0.2.pre20090706
- added missing BuildReq: gettext

* Fri Dec 18 2009 Felix Kaechele <heffer@fedoraproject.org> - 0.5.0-0.1.pre20090706
- update to latest version

* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3.4-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Wed Feb 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3.4-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Sat Aug 30 2008 Felix Kaechele <felix at fetzig dot org> - 0.3.4-2
- Incorporated fixes suggested in bug #454120
* Fri Jul  4 2008 Felix Kaechele <felix at fetzig dot org> - 0.3.4-1
- Initial Build
